Loading...
Searching...
No Matches
defaultglobalbasis.hh File Reference
`#include <cstddef>`
`#include <type_traits>`
`#include <utility>`
`#include <dune/common/reservedvector.hh>`
`#include <dune/common/typeutilities.hh>`
`#include <dune/common/concept.hh>`
`#include <dune/common/typetree/treepath.hh>`
`#include <dune/functions/common/type_traits.hh>`
`#include <dune/functions/functionspacebases/defaultlocalview.hh>`
`#include <dune/functions/functionspacebases/concepts.hh>`
`#include <dune/functions/functionspacebases/containerdescriptors.hh>`

Go to the source code of this file.

## Classes

class | Dune::Functions::DefaultGlobalBasis< PB >
| Global basis for given pre-basis. More...

## Namespaces

namespace | Dune
namespace | Dune::Functions
namespace | Dune::Functions::BasisFactory

## Functions

template<class PreBasis>
| Dune::Functions::DefaultGlobalBasis (PreBasis &&) -> DefaultGlobalBasis< std::decay_t< PreBasis > >
template<class GridView, class PreBasisFactory>
| Dune::Functions::DefaultGlobalBasis (const GridView &gv, PreBasisFactory &&f) -> DefaultGlobalBasis< std::decay_t< decltype(f(gv))> >
template<class GridView, class PreBasisFactory>
auto | Dune::Functions::BasisFactory::makeBasis (const GridView &gridView, PreBasisFactory &&preBasisFactory)